% !TEX encoding = UTF-8 Unicode
% seminarbeitrag.cls
% einspaltiges Format (zum zweispaltigen siehe seminarvorlage.cls)
% LG Kooperative Systeme, FernUni Hagen, Januar 2022

\NeedsTeXFormat{LaTeX2e}
\def\fileversion{V0.1}
\def\filedate{Jan 11, 2022}
\ProvidesClass{seminarbeitrag}[\filedate, \fileversion]
\LoadClass[twoside,10pt]{scrartcl}% Abgeleitet von scrartcl (KOMA)

% Fonts
\RequirePackage[T1]{fontenc} % Moderne Fonts, Trennung von Woertern mit Umlauten
\RequirePackage{lmodern} % Latin Modern
% Mathe
\RequirePackage{amssymb} % American Mathematical Society
\RequirePackage{amsmath}
\RequirePackage{amsfonts}
\RequirePackage{latexsym}

\RequirePackage{babel}% automatische Sprachunterstuetzung, auch \addto

% Seitenformat, A4-Papier, Seitenzahlen
\RequirePackage[a4paper,left=3cm,right=3cm,top=2.5cm, bottom=3cm]{geometry}
\pagenumbering{arabic}
\pagestyle{empty}
\addto\maketitle{\thispagestyle{empty}}

% Bilder
\RequirePackage{graphicx} % \includegraphics
\RequirePackage{color}
\usepackage[margin=2em,font=normalsize,labelfont={sf,bf}]{caption} % Bildunterschriften
% Referenzen, Links
\RequirePackage[pdftex,pdfpagelabels=false]{hyperref}
\hypersetup{%
    bookmarksnumbered,
    pdfstartview={FitH},
    colorlinks,
    citecolor=blue,
    filecolor=blue,
    linkcolor=blue,
    urlcolor=blue,
    breaklinks=true,
}
\RequirePackage{cleveref}% bequeme Referenzen mit \cref
\RequirePackage{embrac}% Klammern nicht kursiv, () und []

\usepackage{datetime}
\date{\large\monthname~\the\year}

\addto\captionsenglish{\def\keywordsname{Keywords}}
\addto\captionsgerman{\def\keywordsname{Stichw\"orter}}
\addto\captionsngerman{\def\keywordsname{Stichw\"orter}}

\providecommand{\keywords}[1]
{\par\smallskip\noindent\normalsize{\sffamily\textbf{\keywordsname:}} #1\par
}
